std::type_order< _Tp, _Up > Struct Template Reference

`#include <compare>`

## Public Types

using | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr strong_ordering | value

## Detailed Description

template<typename _Tp, typename _Up>
struct std::type_order< _Tp, _Up >

Total ordering of types.

Since
  C++26

Definition at line 1268 of file compare.

## Member Typedef Documentation

## value_type

template<typename _Tp, typename _Up>

using std::type_order< _Tp, _Up >::value_type

Definition at line 1271 of file compare.

## Member Function Documentation

## operator value_type()

template<typename _Tp, typename _Up>

std::type_order< _Tp, _Up >::operator value_type | ( |  | ) | const

inline constexpr noexcept

Definition at line 1272 of file compare.

## operator()()

template<typename _Tp, typename _Up>

value_type std::type_order< _Tp, _Up >::operator() | ( |  | ) | const

inline constexpr noexcept

Definition at line 1273 of file compare.

## Member Data Documentation

## value

template<typename _Tp, typename _Up>

strong_ordering std::type_order< _Tp, _Up >::value

static constexpr

Definition at line 1270 of file compare.

The documentation for this struct was generated from the following file:

- compare